Bug 1380690 - User is not able to select emojis from digit keys
Summary: User is not able to select emojis from digit keys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 25
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-30 10:47 UTC by Bhushan Barve
Modified: 2016-10-10 17:42 UTC (History)
5 users (show)

Fixed In Version: ibus-1.5.14-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-10 17:42:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Bhushan Barve 2016-09-30 10:47:37 UTC
Description of problem:

When user tries to enter an Emoji character by keyboard shortcut(number), the selection does not work. For e.g. if user enters smile and tries to select an emoji at position 5 in the candidate window by pressing '5' key, the selection does not work. Instead the number 5 gets entered. User has to use arrow keys to select the same.


Version-Release number of selected component (if applicable):
ibus-1.5.14-2.fc25.x86_64
Fedora 25 workstation

How reproducible:
always

Steps to Reproduce:
1. install fedora 25
2. enable Emojis as per https://fedoraproject.org/wiki/Changes/IBus_Emoji_Typing
3. run gedit and enter keyword as 'smile'
4. from candidate selection window, try to select emoji at position 5 by pressing '5'

Actual results:
The selection by keyboard using numbers does not work. The number 5 gets entered instead of the emoji at position 5.

Expected results:
The selection should work.

Additional info:

Comment 1 fujiwara 2016-09-30 11:17:26 UTC
I thought "100" is an emoji so the number could not be used to select the candidate.
But 0th candidate does not exist in "1" emoji so probably I can think this issue again.

Comment 2 fujiwara 2016-10-05 06:01:57 UTC
Furthermore testing, C-S-u + 1 + 1 shows emoji 11 hours.
If this request is implemented, C-S-u + 1 + 1 commits emoji 1 hour.

Emoji 11 hour is also provided by C-S-u + "clock".


I'm not sure which is more important.

Comment 3 Fedora Update System 2016-10-06 20:58:26 UTC
ibus-1.5.14-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6f55dbadd

Comment 4 Fedora Update System 2016-10-10 17:42:26 UTC
ibus-1.5.14-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.